.::SWF::FontCollection(3)

NAME
SWF::FontCollection - SWF font collection class

SYNOPSIS
        use SWF::SWF::FontCollection;
        $fontcollection = new SWF::FontCollection("fonts.ttc");

DESCRIPTION
SWF::FontCollection is an experimental helper class useful for font utilities.

METHODS

$fontcollection = new SWF::FontCollection($filename)
    Creates a SWF::FontCollection object.

$count = $fontcollection->getFontCount()
    Returns font count.

$font = $fontcollection->getFont( $index )
    Returns SWF::Font object of number $index.

AUTHOR
        developers of
        ming.sourceforge.net

SEE ALSO
SWF, SWF::Font